| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::DenseOpticalFlow Class Referenceabstract
Video Analysis » Object Tracking

`#include <opencv2/video/tracking.hpp>`

Inheritance diagram for cv::DenseOpticalFlow:

## Public Member Functions
virtual void | calc (InputArray I0, InputArray I1, InputOutputArray flow)=0
| Calculates an optical flow. More...
virtual void | collectGarbage ()=0
| Releases all inner buffers. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for dense optical flow algorithms

## Member Function Documentation

## ◆ calc()

virtual void cv::DenseOpticalFlow::calc | ( | InputArray | I0,
|  | InputArray | I1,
|  | InputOutputArray | flow
| ) |  |
| pure virtual

Python:
| flow | = | cv.DenseOpticalFlow.calc( | I0, I1, flow | )

Calculates an optical flow.

Parameters

  I0 | first 8-bit single-channel input image.
  I1 | second input image of the same size and the same type as prev.
  flow | computed flow image that has the same size as prev and type CV_32FC2.

Implemented in cv::optflow::OpticalFlowPCAFlow.

## ◆ collectGarbage()

virtual void cv::DenseOpticalFlow::collectGarbage | ( |  | ) |
| pure virtual

Python:
| None | = | cv.DenseOpticalFlow.collectGarbage( |  | )

Releases all inner buffers.

Implemented in cv::optflow::OpticalFlowPCAFlow.

The documentation for this class was generated from the following file:

- opencv2/video/tracking.hpp